ubuntu/+source/libapache2-mod-python:applied/debian/experimental

Last commit made on 2013-05-27
Get this branch:
git clone -b applied/debian/experimental https://git.launchpad.net/ubuntu/+source/libapache2-mod-python
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/debian/experimental
Repository:
lp:ubuntu/+source/libapache2-mod-python

Recent commits

e8aa4b0... by Arthur de Jong on 2013-05-26

Import patches-applied version 3.3.1-10 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: ba568efe866016e0090ac87a11f195852bbdc216
Unapplied parent: be53e6e41340307ba8f5168ccaac314777d4720c

New changelog entries:
  * Team upload.
  [ Arthur de Jong ]
  * Switch to dh_python2 based on the patch in Ubuntu. (Closes: #616858,
    LP: #788514)
  * FTBFS: switch configure.in to pkg-config to configure Python. This fixes
    discovery with multiarch Python. Taken from the Ubuntu packaging
    (LP: #1098597).
  * Remove version from apache2-threaded-dev build dependency because every
    version since etch is new enough.
  * Dropped provides/replaces/conflicts for ancient versions of mod_python.
  * Switch from dpatch to source format 3.0 (quilt).
  * Dropped obsolete patch 03_includes.patch: long since been fixed in
    mod_python.
  * Switch to dh-style debian/rules.
  * Switch to debhelper compatibility level 9.
  * Update 02_makefile.patch to add --install-layout=deb to the setup.py
    call.
  * Remove generated file to support building twice in a row.
  * Simple spelling fix in Python docstring (thanks lintian).
  * Remove code for renaming mod_python.load to python.load because we are
    not supporting upgrades from etch.
  * Update watch file provided by Bart Martens.
  * Update to Standards-Version 3.9.4.
  * Build with Apache 2.4 (closes: #666796):
    - use dh_apache2 (remove postinst and prerm)
    - 20_apache24.patch: fixes for Apache 2.4.
  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

be53e6e... by Arthur de Jong on 2013-05-26

Changes to build with Apache 2.4

Gbp-Pq: 20_apache24.patch.

1cf57f6... by Arthur de Jong on 2013-05-26

fix a FTBFS due to new apr > 1.3.x (bb is the bucket brigade)

Gbp-Pq: 10_bts521965.patch.

cec202d... by Arthur de Jong on 2013-05-26

Simple spelling fix in Python docstring (thanks lintian)

Gbp-Pq: 05_fix_spelling.patch.

d17035e... by Arthur de Jong on 2013-05-26

Drop custom Python detection and use pkg-config instead.

Gbp-Pq: 04_autoconf_python_multiarch.patch.

f93d521... by Arthur de Jong on 2013-05-26

Patch makefile to issue correct setup.py call.

Gbp-Pq: 02_makefile.patch.

bef922f... by Arthur de Jong on 2013-05-26

Patch configure script.

Gbp-Pq: 01_configure.patch.

a8f9bf8... by Arthur de Jong on 2013-05-26

Import patches-unapplied version 3.3.1-10 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 6e8726469021f2f9ac9d096ef5d337b987ea501d

New changelog entries:
  * Team upload.
  [ Arthur de Jong ]
  * Switch to dh_python2 based on the patch in Ubuntu. (Closes: #616858,
    LP: #788514)
  * FTBFS: switch configure.in to pkg-config to configure Python. This fixes
    discovery with multiarch Python. Taken from the Ubuntu packaging
    (LP: #1098597).
  * Remove version from apache2-threaded-dev build dependency because every
    version since etch is new enough.
  * Dropped provides/replaces/conflicts for ancient versions of mod_python.
  * Switch from dpatch to source format 3.0 (quilt).
  * Dropped obsolete patch 03_includes.patch: long since been fixed in
    mod_python.
  * Switch to dh-style debian/rules.
  * Switch to debhelper compatibility level 9.
  * Update 02_makefile.patch to add --install-layout=deb to the setup.py
    call.
  * Remove generated file to support building twice in a row.
  * Simple spelling fix in Python docstring (thanks lintian).
  * Remove code for renaming mod_python.load to python.load because we are
    not supporting upgrades from etch.
  * Update watch file provided by Bart Martens.
  * Update to Standards-Version 3.9.4.
  * Build with Apache 2.4 (closes: #666796):
    - use dh_apache2 (remove postinst and prerm)
    - 20_apache24.patch: fixes for Apache 2.4.
  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

ba568ef... by Debian Python Modules Team on 2010-03-27

Import patches-applied version 3.3.1-9 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: f9e24fd18e73e9f34b56ac8cc0efa68f6ccaf08a
Unapplied parent: 6e8726469021f2f9ac9d096ef5d337b987ea501d

New changelog entries:
  [ Sandro Tosi ]
  * debian/libapache2-mod-python.{prerm, postrm}
    - move a2dismod from postrm (executed too late in the purge process) to
      prerm, so purge can disable the module when it's still available; thanks
      to Lucas Nussbaum for the report; Closes: #574229
  * debian/control
    - bump Standards-Version to 3.8.4 (no changes needed)
    - updated Section to 'httpd' to match override file

6e87264... by Debian Python Modules Team on 2010-03-27

Import patches-unapplied version 3.3.1-9 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2a7b2dc90781203dc256220a9d0512e5eb3f6b51

New changelog entries:
  [ Sandro Tosi ]
  * debian/libapache2-mod-python.{prerm, postrm}
    - move a2dismod from postrm (executed too late in the purge process) to
      prerm, so purge can disable the module when it's still available; thanks
      to Lucas Nussbaum for the report; Closes: #574229
  * debian/control
    - bump Standards-Version to 3.8.4 (no changes needed)
    - updated Section to 'httpd' to match override file